Bug 119812 - addUser and modifyUser in python module don't accept 2nd param.
addUser and modifyUser in python module don't accept 2nd param.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 03:43 EST by Jan Ondrej
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.51.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 19:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Ondrej 2004-04-02 03:43:15 EST
Description of problem:
addUser and modifyUser in python module don't accept 2nd param.
See steps to reproduce.

Version-Release number of selected component (if applicable):
0.51.7

Steps to Reproduce:
>>> import libuser
>>> u=libuser.admin().initUser('root')
>>> libuser.admin().modifyUser(u,0)
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
TypeError: function takes exactly 1 argument (2 given)
  
Additional info:
file: libuser-0.51.7/python/admin.c
function: libuser_admin_modify_user
calls function: ret = libuser_admin_wrap(self, args, kwargs,
lu_user_modify);
which accept only one parameter.
Please fix that.
Comment 1 Miloslav Trmač 2004-09-22 19:24:58 EDT
Fixedin libuser-0.51.11-1, which should appear in rawhide soon.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.